Advanced Frontend Editing - Bug # 10573

Status: Closed Priority: Should have
Author: Chris topher Category:

Created: 2010-11-01 Assigned To: Lorenz Ulrich
Updated: 2014-08-06 Due date:

Subiject: t3lib_TCEforms->helpText() is deprecated and will be removed in TYPO3 4.7
Description

With current trunk and feeditadvanced 1.4.0 you get this message when working with feeditadvanced:

01.11.2010 12:16: t3lib_TCEforms->helpText() - since TYPOS3 4.5, will be removed in TYPOS3 4.7
require

#84 // require

#194 // tx_feeditadvanced_ajax->processAction

#846 // tx_feeditadvanced_ajax->editltem

#169 // tx_feeditadvanced_ajax->renderContentElement
#214 // tslib_cObj->cObjGetSingle

#739 // tslib_content_Case->render

#774 // tslib_cObj->stdWrap

#54 // tslib_cObj->stdWrap_editPanel

#2014 // tslib_cObj->editPanel

#3141 // t3lib_frontendedit->displayEditPanel

#7536 // tx_feeditadvanced_editpanel->editPanel

#114 // tx_feeditadvanced_editpanel->wrapContent

#279 // tx_feeditadvanced_editpanel->formsOnPageForm
#430 // tx_feeditadvanced_tceforms->getMainFields
#630 // tx_feeditadvanced_tceforms->getSingleField
#922 // t8lib_TCEforms->helpText

#814 // t3lib_div::logDeprecatedFunction

#5162 (t3lib\class.t3lib_tceforms.php#5161)

Related issues:
duplicated by Advanced Frontend Editing - Bug # 37106: t3lib_ TCEforms::helpTe... Rejected 2012-05-11

Associated revisions

Revision 1924284 - 2012-06-25 17:38 - Lorenz Ulrich

Fixed bug #10573: t3lib_ TCEforms->helpText() is deprecated and will be removed in TYPO3 4.7 (Thanks Christopher)
Resolves: #10573

git-svn-id: https://svn.typo3.org/TYPO3v4/CoreProjects/feedit/trunk@4368 743128fe-103e-dd11-99¢c4-001b210b3e58

History

#1 - 2010-11-10 01:06 - Chris topher

Problem is tx_feeditadvanced_tceforms->helpText, line 803 and lines 813, 814.

t3lib_BEfunc::wraplnHelp() provides the functionality for TYPOS3 4.5 and newer instead.
https://svn.typo3.org/TYPO3v4/CoreProjects/feedit/trunk@4368

More infos:
http://forge.typo3.org/projects/typo3v4-core/repository/changes/trunk/t3lib/class.t3lib _tceforms.php
Rev. 9081, 9131

#2 - 2010-11-21 18:01 - Chris topher

- File 10573_Fix_CSH.txt added

- % Done changed from 0 to 60

Attached is an untested patch.

The logic could still be less redundant maybe...

#3 - 2010-11-21 18:02 - Chris topher

- File 10573 _Fix_CSH.diff added

#4 - 2010-11-21 18:02 - Chris topher
- File deleted (10573_Fix_CSH.txt)

#5 - 2010-11-26 00:51 - Chris topher

Currently the help bubbles are not available in FE context which is why displaying them does not work. Attached v2 takes this into account and also is

less redundant.

#6 - 2010-11-26 01:53 - Chris topher

- File 10573_v2.diff added

#7 - 2011-09-19 09:32 - Grégory Duchesnes

Any update on this? Would be very nice to have it in next release.

Would sponsoring help?

#8 - 2011-09-19 12:28 - Oliver Hader

- Status changed from New to Accepted

#9 - 2012-05-11 18:11 - Franz Geiger

This issue brakes fe editing in 4.7.0. Since this is the currently promoted version of Typo3, it'd be really great if this could be fixed.

Thanks

#10 - 2012-06-25 15:20 - Lorenz Ulrich

- Status changed from Accepted to Under Review

- Assigned To set to Lorenz Ulrich

#11 - 2012-06-25 17:39 - Lorenz Ulrich
- Target version set to 1.6.0
http://forge.typo3.org/projects/typo3v4-core/repository/changes/trunk/t3lib/class.t3lib_tceforms.php

| slightly modified the patch to avoid deprecation warnings in 4.7.

#12 - 2012-06-25 18:30 - Lorenz Ulrich
- Status changed from Under Review to Resolved
- % Done changed from 60 to 100

Applied in changeset r4368.

#13 - 2013-02-26 16:46 - Pascal no-lastname-given

| can confirm the patch solves the issue.

It might be nice to have this patch in the TER version (guessing 4.7 will be in use at quite some installations by now ;-)

#14 - 2014-08-06 12:05 - Chris topher
- Status changed from Resolved to Closed

Files
10573_Fix_CSH.diff 2.7kB 2010-11-21 Chris topher
10573_v2.diff 2 kB 2010-11-26 Chris topher
